using System;
using System.Collections.Generic;
using System.Text;
using InterfaceLibrary;

namespace ModelLibrary
{
    public static class Model
    {
        private static IVarekatalog varekataloget;
        private static object model_Ls = new object();

        static Model()
        {
            varekataloget = new Varekatalog();
            IVare v;
            v = varekataloget.OpretVare(1001, "Sm", 1.73f);
            v.RegistrerVarerIndkbt(100, 20080901, v.SalgsEnhedsPris * 0.58f);
            v.RegistrerVarerSolgt(2, 20080902, v.SalgsEnhedsPris);
            v.RegistrerVarerSolgt(3, 20080903, v.SalgsEnhedsPris);
            v.RegistrerVarerSolgt(4, 20080904, v.SalgsEnhedsPris);
            v.RegistrerVarerSolgt(5, 20080905, v.SalgsEnhedsPris*1.01f);
            v.RegistrerVarerIndkbt(50, 20080906, v.SalgsEnhedsPris * 0.61f);
            v = varekataloget.OpretVare(1002, "Skruer", 12.23f);
            v.RegistrerVarerIndkbt(200, 20080901, v.SalgsEnhedsPris * 0.52f);
            v.RegistrerVarerSolgt(5, 20080903, v.SalgsEnhedsPris);
            v.RegistrerVarerSolgt(6, 20080903, v.SalgsEnhedsPris);
            v.RegistrerVarerSolgt(7, 20080903, v.SalgsEnhedsPris);
            v.RegistrerVarerSolgt(8, 20080905, v.SalgsEnhedsPris * 1.1f);
            v.RegistrerVarerIndkbt(54, 20080906, v.SalgsEnhedsPris * 0.59f);
            v = varekataloget.OpretVare(1003, "Svamp", 7.43f);
            v = varekataloget.OpretVare(1004, "Beslag", 12.3f);
            v = varekataloget.OpretVare(1005, "Fldeis", 19.33f);
            v = varekataloget.OpretVare(1006, "Kuglegrill", 1021.99f);
        }


        public static IVarekatalog GetVarekataloget()
        {
            return varekataloget;
        }

    }
}
