using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.Remoting.Channels;
using System.Runtime.Remoting.Channels.Http;
using System.Runtime.Remoting;

namespace VareFacadeServer
{
    class Program
    {
        static void Main(string[] args)
        {
            int port = 65200;
            bool ensureSecurity = false;
            // Registrering af channel, dvs. valg af protocol og port
            ChannelServices.RegisterChannel(new HttpChannel(port), ensureSecurity);

            // Serverregistrering af CAO
            RemotingConfiguration.RegisterActivatedServiceType(typeof(ModelLibrary.VareFacade));
            System.Console.WriteLine("Server: VareFacade starter p port" + port);
            System.Console.ReadLine();

        }
    }
}
