using System;
using System.Collections.Generic;
using System.Text;

namespace InterfaceLibrary
{
    public interface IVare
    {
        int Varenr { get;}               // anvendes frst i nste opgave
        string Betegnelse { get;set;}
        int AntalPLager { get;}
        float SalgsEnhedsPris { get;set;}  // aktuel excl. moms
        double Salgsvrdi();

        IVarebevaegelse RegistrerVarerSolgt(int antal, int dato, float stykpris);

        IVarebevaegelse RegistrerVarerIndkbt(int antal, int dato, float stykpris); 
        IVarebevaegelse[] GetBevgelser ();

    }

}
