using System;
using System.Collections.Generic;
using System.Text;
using InterfaceLibrary;

namespace ModelLibrary
{
    [Serializable]
    public class Varebevaegelse: IVarebevaegelse
    {
        private int antal;
        private int dato;
        private float stykpris;
        private int art;    // 0 for indkb og 1 for salg

        public Varebevaegelse(int antal, int dato, float stykpris, int art)
        {
            this.antal = antal;
            this.dato = dato;
            this.stykpris = stykpris;
            this.art = art;
        }

        #region IVarebevaegelse Members

        public int Antal
        {
            get { return this.antal; }
        }

        public int Dato
        {
            get { return this.dato; }
        }

        public float Stykpris
        {
            get { return this.stykpris; }
        }

        public int Art
        {
            get { return this.art; }
        }

        #endregion

        public override string ToString()
        {
            return ""+this.antal+"; "+this.dato+"; "+this.stykpris+"; "+this.art;
        }
    
    }
}
